%perl_module IO-stringy 2.110 8

Summary:       I/O on in-core objects like strings and arrays.
Group:         System Environment/Libraries
License:       Artistic
URL:           http://search.cpan.org/~eryq/%{pkgname}-%{version}/
Source0:       http://search.cpan.org/CPAN/authors/id/E/ER/ERYQ/%{pkgname}-%{version}.tar.gz
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildArch:     noarch
Obsoletes:     perl-IO-Stringy <= %{evr}

%description
This toolkit primarily provides modules for performing both
traditional and object-oriented i/o) on things other than normal
filehandles; in particular, IO::Scalar, IO::ScalarArray, and
IO::Lines.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%perl_configure
make
%perl_makecheck

%install
rm -rf %{buildroot}
%perl_makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README* examples contrib
%{perl_vendorlib}/IO
%{perl_man3dir}/IO::*.3pm*

%changelog
* Mon Aug 22 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.110.

* Wed Feb  4 2004 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Update to 2.109.

* Tue Apr  8 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Adapted to new macros.

* Thu Dec 5 2002 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
